[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragControlObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A drag object for dragging a control.

## Declaration

Source position: controls.pp line 392

`type TDragControlObject = class(TDragObject)`
`protected`
`function GetDragCursor(); override;` |  | Returns the dragging cursor type.
`function GetDragImages; override;` |  | Returns a list of images for dragging.
`end;`

## Inheritance

`TDragControlObject` |  | A drag object for dragging a control.
`TDragObject` |  | Base class for managing drag operations and feedback.
`TObject`

## Description

The dragged control is used to determine the DragCursor and DragImages.

## See also

TDragObject |  | Base class for managing drag operations and feedback.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.